import * as core from "@terrascript/core";

export interface DsSiteArgs {
  id?: string | core.StringOut;

  name?: string | core.StringOut;
}

export class DsSite extends core.Data<DsSiteArgs> {
  @core.attr(String, { computed: true })
  public accountId!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public description!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id?: string | core.StringOut;

  @core.attr(String, { computed: true })
  public name?: string | core.StringOut;

  constructor(name: string, args?: DsSiteArgs) {
    super(name, "aws_outposts_site", args);
  }

  public override getNamespace(): string {
    return "aws_outposts";
  }
}
